Class | YARD::Handlers::C::Base
In: | lib/yard/handlers/c/base.rb
Parent: | Handlers::Base

### Methods

handles? namespace_for_variable namespaces override_comments parse_block process_file processed_files register_docstring register_file_info register_source register_visibility statement_class symbols

### Included Modules

YARD::Parser::C HandlerMethods

### Public Class methods

handles?(statement, processor)

@return [Boolean] whether the handler handles this statement

statement_class(type = nil)

### Public Instance methods

namespace_for_variable(var)
namespaces()
override_comments()
parse_block(opts = {})

@group Parsing an Inner Block

process_file(file, object)

@group Processing other files

processed_files()
register_docstring(object, docstring = nil, stmt = nil)

@group Registering objects

register_file_info(object, file = nil, line = nil, comments = nil)
register_source(object, source = nil, type = nil)
register_visibility(object, visibility = nil)
symbols()

@group Looking up Symbol and Var Values

[Validate]